Role Assignments

Assign and revoke not24get roles for members so tenant permissions stay accurate as people join, change teams, or leave.

On this page

List role assignments

Lists role assignments binding accounts or groups to roles within scopes.

Technical details

Exact HTTP method and path your client calls

get/api/v1/role-assignments

Query parameters

NameTypeRequiredDescription
accountIdstringoptional
groupIdstringoptional
roleIdstringoptional

Responses

List of role assignments

FieldTypeDescription
RoleAssignment[]
object
Example
[
  {
    "id": "string",
    "tenantId": "string",
    "accountId": "string",
    "groupId": "string",
    "roleId": "string",
    "scopeType": "org",
    "scopeId": "string",
    "status": "string",
    "createdAt": "2026-01-01T00:00:00.000Z"
  }
]

Errors return the standard envelope. See error reference.

Code samples

curl --request GET \
  --url 'https://api.not24get.me/api/v1/role-assignments' \
  --header 'Authorization: Bearer <your-api-key>' \
  --header 'Content-Type: application/json' \
  --header 'X-Workspace-ID: <workspace-id>'

Try it

Query parameters

Create role assignment

Assigns a role to a principal within an organizational scope.

Technical details

Exact HTTP method and path your client calls

post/api/v1/role-assignments

Request body

FieldTypeDescription
roleIdrequiredstring
scopeTyperequiredstring
enum: orgunitworkspace
accountIdstring
groupIdstring
scopeIdstring

Responses

Role assigned

FieldTypeDescription
idstring
tenantIdstring
accountIdstring
groupIdstring
roleIdstring
scopeTypestring
enum: orgunitworkspace
scopeIdstring
statusstring
createdAtstring<date-time> · date-time
Example
{
  "id": "string",
  "tenantId": "string",
  "accountId": "string",
  "groupId": "string",
  "roleId": "string",
  "scopeType": "org",
  "scopeId": "string",
  "status": "string",
  "createdAt": "2026-01-01T00:00:00.000Z"
}

Errors return the standard envelope. See error reference.

Code samples

curl --request POST \
  --url 'https://api.not24get.me/api/v1/role-assignments' \
  --header 'Authorization: Bearer <your-api-key>' \
  --header 'Content-Type: application/json' \
  --header 'X-Workspace-ID: <workspace-id>' \
  --data '{
  "roleId": "string",
  "scopeType": "org",
  "accountId": "string",
  "groupId": "string",
  "scopeId": "string"
}'

Try it

Request body (JSON)

Revoke role assignment

Removes a role assignment. Returns no body on success.

Technical details

Exact HTTP method and path your client calls

delete/api/v1/role-assignments/{id}

Path parameters

NameTypeRequiredDescription
idstringrequired

Responses

No Content

FieldTypeDescription
(value)EmptyResponsePart
Example
null

Errors return the standard envelope. See error reference.

Code samples

curl --request DELETE \
  --url 'https://api.not24get.me/api/v1/role-assignments/%3Aid' \
  --header 'Authorization: Bearer <your-api-key>' \
  --header 'Content-Type: application/json' \
  --header 'X-Workspace-ID: <workspace-id>'

Try it

Path parameters